{
//=========Macro generated from canvas: c50/c50
//=========  (Thu Aug 20 20:06:32 2015) by ROOT version5.32/00
   TCanvas *c50 = new TCanvas("c50", "c50",579,52,700,500);
   gStyle->SetOptFit(1);
   gStyle->SetOptStat(0);
   gStyle->SetOptTitle(0);
   c50->Range(-1.033489,-5.165895,2.613724,0.2395105);
   c50->SetFillColor(0);
   c50->SetBorderMode(0);
   c50->SetBorderSize(2);
   c50->SetLogx();
   c50->SetLogy();
   c50->SetTickx(1);
   c50->SetTicky(1);
   c50->SetLeftMargin(0.14);
   c50->SetRightMargin(0.05);
   c50->SetBottomMargin(0.16);
   c50->SetFrameLineWidth(2);
   c50->SetFrameBorderMode(0);
   c50->SetFrameLineWidth(2);
   c50->SetFrameBorderMode(0);
   
   TGraphErrors *gre = new TGraphErrors(14);
   gre->SetName("Graph");
   gre->SetTitle("Graph");

   Int_t ci;   // for color index setting
   ci = TColor::GetColor("#ffcc00");
   gre->SetFillColor(ci);

   ci = TColor::GetColor("#ffcc00");
   gre->SetLineColor(ci);
   gre->SetLineWidth(2);
   gre->SetPoint(0,1.1,0.03635399);
   gre->SetPointError(0,1.1,0.001105159);
   gre->SetPoint(1,2.8,0.06912767);
   gre->SetPointError(1,0.6,0.00220565);
   gre->SetPoint(2,4,0.06810273);
   gre->SetPointError(2,0.6,0.002802479);
   gre->SetPoint(3,5.2,0.06448064);
   gre->SetPointError(3,0.6,0.00265474);
   gre->SetPoint(4,6.5,0.05565968);
   gre->SetPointError(4,0.7,0.001847891);
   gre->SetPoint(5,7.95,0.04984329);
   gre->SetPointError(5,0.75,0.001284957);
   gre->SetPoint(6,9.6,0.04154106);
   gre->SetPointError(6,0.9,0.0009676558);
   gre->SetPoint(7,11.65,0.0321583);
   gre->SetPointError(7,1.15,0.0008215175);
   gre->SetPoint(8,14.1,0.02604376);
   gre->SetPointError(8,1.3,0.0006607446);
   gre->SetPoint(9,17.2,0.01876146);
   gre->SetPointError(9,1.8,0.0004372291);
   gre->SetPoint(10,21.75,0.01334557);
   gre->SetPointError(10,2.75,0.000298196);
   gre->SetPoint(11,29.25,0.007607669);
   gre->SetPointError(11,4.75,0.0001777772);
   gre->SetPoint(12,48.5,0.002583241);
   gre->SetPointError(12,14.5,6.128211e-05);
   gre->SetPoint(13,166.5,9.707424e-05);
   gre->SetPointError(13,103.5,4.103059e-06);
   
   TH1F *Graph_Graph1 = new TH1F("Graph_Graph1","Graph",100,0.3,270);
   Graph_Graph1->SetMinimum(5e-05);
   Graph_Graph1->SetMaximum(0.5);
   Graph_Graph1->SetDirectory(0);
   Graph_Graph1->SetStats(0);
   Graph_Graph1->SetLineWidth(2);
   Graph_Graph1->GetXaxis()->SetTitle("p_{T,Z} [GeV/c]");
   Graph_Graph1->GetXaxis()->SetNdivisions(505);
   Graph_Graph1->GetXaxis()->SetLabelFont(132);
   Graph_Graph1->GetXaxis()->SetLabelOffset(0.01);
   Graph_Graph1->GetXaxis()->SetTitleSize(0.07);
   Graph_Graph1->GetXaxis()->SetTitleOffset(0.95);
   Graph_Graph1->GetXaxis()->SetTitleFont(132);
   Graph_Graph1->GetYaxis()->SetTitle("#frac{1}{#sigma} #frac{d#sigma}{dp_{T,Z}} [(GeV/c)^{-1}]");
   Graph_Graph1->GetYaxis()->SetLabelFont(132);
   Graph_Graph1->GetYaxis()->SetLabelOffset(0.01);
   Graph_Graph1->GetYaxis()->SetTitleSize(0.06);
   Graph_Graph1->GetYaxis()->SetTitleOffset(0.95);
   Graph_Graph1->GetYaxis()->SetTitleFont(132);
   Graph_Graph1->GetZaxis()->SetLabelFont(132);
   Graph_Graph1->GetZaxis()->SetTitleSize(0.048);
   Graph_Graph1->GetZaxis()->SetTitleOffset(1.2);
   Graph_Graph1->GetZaxis()->SetTitleFont(132);
   gre->SetHistogram(Graph_Graph1);
   
   gre->Draw("a2");
   
   gre = new TGraphErrors(14);
   gre->SetName("Graph");
   gre->SetTitle("Graph");

   ci = TColor::GetColor("#ff9900");
   gre->SetFillColor(ci);

   ci = TColor::GetColor("#ff9900");
   gre->SetLineColor(ci);
   gre->SetLineWidth(2);
   gre->SetPoint(0,1.1,0.03635399);
   gre->SetPointError(0,1.1,0.000625963);
   gre->SetPoint(1,2.8,0.06912767);
   gre->SetPointError(1,0.6,0.001163712);
   gre->SetPoint(2,4,0.06810273);
   gre->SetPointError(2,0.6,0.001114184);
   gre->SetPoint(3,5.2,0.06448064);
   gre->SetPointError(3,0.6,0.001090995);
   gre->SetPoint(4,6.5,0.05565968);
   gre->SetPointError(4,0.7,0.0009238843);
   gre->SetPoint(5,7.95,0.04984329);
   gre->SetPointError(5,0.75,0.0008584083);
   gre->SetPoint(6,9.6,0.04154106);
   gre->SetPointError(6,0.9,0.0007160254);
   gre->SetPoint(7,11.65,0.0321583);
   gre->SetPointError(7,1.15,0.0005500078);
   gre->SetPoint(8,14.1,0.02604376);
   gre->SetPointError(8,1.3,0.0004644793);
   gre->SetPoint(9,17.2,0.01876146);
   gre->SetPointError(9,1.8,0.0003194258);
   gre->SetPoint(10,21.75,0.01334557);
   gre->SetPointError(10,2.75,0.0002112518);
   gre->SetPoint(11,29.25,0.007607669);
   gre->SetPointError(11,4.75,0.0001184309);
   gre->SetPoint(12,48.5,0.002583241);
   gre->SetPointError(12,14.5,3.859759e-05);
   gre->SetPoint(13,166.5,9.707424e-05);
   gre->SetPointError(13,103.5,2.745745e-06);
   
   TH1F *Graph_Graph2 = new TH1F("Graph_Graph2","Graph",100,0.33,296.9633);
   Graph_Graph2->SetMinimum(8.489565e-05);
   Graph_Graph2->SetMaximum(0.07731109);
   Graph_Graph2->SetDirectory(0);
   Graph_Graph2->SetStats(0);
   Graph_Graph2->SetLineWidth(2);
   Graph_Graph2->GetXaxis()->SetNdivisions(505);
   Graph_Graph2->GetXaxis()->SetLabelFont(132);
   Graph_Graph2->GetXaxis()->SetLabelOffset(0.01);
   Graph_Graph2->GetXaxis()->SetTitleSize(0.048);
   Graph_Graph2->GetXaxis()->SetTitleOffset(0.95);
   Graph_Graph2->GetXaxis()->SetTitleFont(132);
   Graph_Graph2->GetYaxis()->SetLabelFont(132);
   Graph_Graph2->GetYaxis()->SetLabelOffset(0.01);
   Graph_Graph2->GetYaxis()->SetTitleSize(0.048);
   Graph_Graph2->GetYaxis()->SetTitleOffset(0.95);
   Graph_Graph2->GetYaxis()->SetTitleFont(132);
   Graph_Graph2->GetZaxis()->SetLabelFont(132);
   Graph_Graph2->GetZaxis()->SetTitleSize(0.048);
   Graph_Graph2->GetZaxis()->SetTitleOffset(1.2);
   Graph_Graph2->GetZaxis()->SetTitleFont(132);
   gre->SetHistogram(Graph_Graph2);
   
   gre->Draw("2");
   
   TGraphAsymmErrors *grae = new TGraphAsymmErrors(14);
   grae->SetName("Graph");
   grae->SetTitle("Graph");

   ci = TColor::GetColor("#990000");
   grae->SetFillColor(ci);
   grae->SetFillStyle(3001);

   ci = TColor::GetColor("#990000");
   grae->SetLineColor(ci);
   grae->SetLineWidth(2);

   ci = TColor::GetColor("#990000");
   grae->SetMarkerColor(ci);
   grae->SetMarkerStyle(22);
   grae->SetMarkerSize(2.5);
   grae->SetPoint(0,0.583,0.04099943);
   grae->SetPointError(0,0,0,0.00797275,0.007941617);
   grae->SetPoint(1,2.54332,0.07258451);
   grae->SetPointError(1,0,0,0.007597801,0.007532828);
   grae->SetPoint(2,3.75994,0.07201058);
   grae->SetPointError(2,0,0,0.005525427,0.005484819);
   grae->SetPoint(3,4.96872,0.06560531);
   grae->SetPointError(3,0,0,0.003983668,0.003971485);
   grae->SetPoint(4,6.23232,0.0574214);
   grae->SetPointError(4,0,0,0.002754592,0.002762714);
   grae->SetPoint(5,7.66725,0.04864054);
   grae->SetPointError(5,0,0,0.001977621,0.001999279);
   grae->SetPoint(6,9.26075,0.04038624);
   grae->SetPointError(6,0,0,0.001541759,0.001571539);
   grae->SetPoint(7,11.2139,0.03244598);
   grae->SetPointError(7,0,0,0.001139738,0.001169517);
   grae->SetPoint(8,13.6103,0.02519741);
   grae->SetPointError(8,0,0,0.0008067503,0.0008365297);
   grae->SetPoint(9,16.5124,0.01874205);
   grae->SetPointError(9,0,0,0.0006077699,0.0006321349);
   grae->SetPoint(10,20.6741,0.01268331);
   grae->SetPointError(10,0,0,0.0004656411,0.0004845916);
   grae->SetPoint(11,27.3187,0.007182243);
   grae->SetPointError(11,0,0,0.0003153906,0.0003248659);
   grae->SetPoint(12,41.745,0.002286244);
   grae->SetPointError(12,0,0,0.0001434824,0.0001434824);
   grae->SetPoint(13,102.285,9.475255e-05);
   grae->SetPointError(13,0,0,1.218247e-05,1.218247e-05);
   
   TH1F *Graph_Graph1 = new TH1F("Graph_Graph1","Graph",100,0.5247,112.4552);
   Graph_Graph1->SetMinimum(7.431307e-05);
   Graph_Graph1->SetMaximum(0.08812082);
   Graph_Graph1->SetDirectory(0);
   Graph_Graph1->SetStats(0);
   Graph_Graph1->SetLineWidth(2);
   Graph_Graph1->GetXaxis()->SetNdivisions(505);
   Graph_Graph1->GetXaxis()->SetLabelFont(132);
   Graph_Graph1->GetXaxis()->SetLabelOffset(0.01);
   Graph_Graph1->GetXaxis()->SetTitleSize(0.048);
   Graph_Graph1->GetXaxis()->SetTitleOffset(0.95);
   Graph_Graph1->GetXaxis()->SetTitleFont(132);
   Graph_Graph1->GetYaxis()->SetLabelFont(132);
   Graph_Graph1->GetYaxis()->SetLabelOffset(0.01);
   Graph_Graph1->GetYaxis()->SetTitleSize(0.048);
   Graph_Graph1->GetYaxis()->SetTitleOffset(0.95);
   Graph_Graph1->GetYaxis()->SetTitleFont(132);
   Graph_Graph1->GetZaxis()->SetLabelFont(132);
   Graph_Graph1->GetZaxis()->SetTitleSize(0.048);
   Graph_Graph1->GetZaxis()->SetTitleOffset(1.2);
   Graph_Graph1->GetZaxis()->SetTitleFont(132);
   grae->SetHistogram(Graph_Graph1);
   
   grae->Draw("p");
   
   grae = new TGraphAsymmErrors(14);
   grae->SetName("Graph");
   grae->SetTitle("Graph");

   ci = TColor::GetColor("#0000ff");
   grae->SetFillColor(ci);
   grae->SetFillStyle(3001);

   ci = TColor::GetColor("#0000ff");
   grae->SetLineColor(ci);
   grae->SetLineWidth(2);

   ci = TColor::GetColor("#0000ff");
   grae->SetMarkerColor(ci);
   grae->SetMarkerStyle(23);
   grae->SetMarkerSize(2.5);
   grae->SetPoint(0,1.132,0.04074655);
   grae->SetPointError(0,0,0,0.002655277,0.003152301);
   grae->SetPoint(1,2.94045,0.07918434);
   grae->SetPointError(1,0,0,0.00557345,0.004412317);
   grae->SetPoint(2,4.1585,0.08165078);
   grae->SetPointError(2,0,0,0.006157656,0.004673635);
   grae->SetPoint(3,5.36782,0.07221304);
   grae->SetPointError(3,0,0,0.006894065,0.004070364);
   grae->SetPoint(4,6.69805,0.06129842);
   grae->SetPointError(4,0,0,0.003122249,0.004759431);
   grae->SetPoint(5,8.16643,0.04913912);
   grae->SetPointError(5,0,0,0.003157064,0.003716728);
   grae->SetPoint(6,9.85976,0.03909476);
   grae->SetPointError(6,0,0,0.002078749,0.002467782);
   grae->SetPoint(7,11.9792,0.02982028);
   grae->SetPointError(7,0,0,0.002641216,0.002413353);
   grae->SetPoint(8,14.4755,0.0230684);
   grae->SetPointError(8,0,0,0.001382124,0.00130187);
   grae->SetPoint(9,17.71,0.01686323);
   grae->SetPointError(9,0,0,0.00147388,0.001130298);
   grae->SetPoint(10,22.5023,0.01174542);
   grae->SetPointError(10,0,0,0.0006176043,0.0009590328);
   grae->SetPoint(11,30.4714,0.006693288);
   grae->SetPointError(11,0,0,0.0004140994,0.0004181835);
   grae->SetPoint(12,51.2722,0.002233639);
   grae->SetPointError(12,0,0,0.0001260963,0.0001409252);
   grae->SetPoint(13,166.137,8.970567e-05);
   grae->SetPointError(13,0,0,1.359722e-05,1.909223e-05);
   
   TH1F *Graph_Graph2 = new TH1F("Graph_Graph2","Graph",100,1.0188,182.6375);
   Graph_Graph2->SetMinimum(8e-05);
   Graph_Graph2->SetMaximum(0.24);
   Graph_Graph2->SetDirectory(0);
   Graph_Graph2->SetStats(0);
   Graph_Graph2->SetLineWidth(2);
   Graph_Graph2->GetXaxis()->SetTitle("p_{T,Z} [GeV/c]");
   Graph_Graph2->GetXaxis()->SetNdivisions(505);
   Graph_Graph2->GetXaxis()->SetLabelFont(132);
   Graph_Graph2->GetXaxis()->SetLabelOffset(0.01);
   Graph_Graph2->GetXaxis()->SetTitleSize(0.048);
   Graph_Graph2->GetXaxis()->SetTitleOffset(0.95);
   Graph_Graph2->GetXaxis()->SetTitleFont(132);
   Graph_Graph2->GetYaxis()->SetTitle("#frac{1}{#sigma} #frac{d#sigma}{dp_{T,Z}} [(GeV/c)^{-1}]");
   Graph_Graph2->GetYaxis()->SetLabelFont(132);
   Graph_Graph2->GetYaxis()->SetLabelOffset(0.01);
   Graph_Graph2->GetYaxis()->SetTitleSize(0.048);
   Graph_Graph2->GetYaxis()->SetTitleOffset(0.95);
   Graph_Graph2->GetYaxis()->SetTitleFont(132);
   Graph_Graph2->GetZaxis()->SetLabelFont(132);
   Graph_Graph2->GetZaxis()->SetTitleSize(0.048);
   Graph_Graph2->GetZaxis()->SetTitleOffset(1.2);
   Graph_Graph2->GetZaxis()->SetTitleFont(132);
   grae->SetHistogram(Graph_Graph2);
   
   grae->Draw("p");
   
   TLegend *leg = new TLegend(0.19,0.2,0.48,0.6,NULL,"brNDC");
   leg->SetBorderSize(0);
   leg->SetTextFont(132);
   leg->SetTextSize(0.05);
   leg->SetLineColor(1);
   leg->SetLineStyle(1);
   leg->SetLineWidth(2);
   leg->SetFillColor(0);
   leg->SetFillStyle(1001);
   TLegendEntry *entry=leg->AddEntry("Graph","Data_{tot}","f");

   ci = TColor::GetColor("#ffcc00");
   entry->SetFillColor(ci);
   entry->SetFillStyle(1001);

   ci = TColor::GetColor("#ffcc00");
   entry->SetLineColor(ci);
   entry->SetLineStyle(1);
   entry->SetLineWidth(2);
   entry->SetMarkerColor(1);
   entry->SetMarkerStyle(21);
   entry->SetMarkerSize(1);
   entry=leg->AddEntry("Graph","Data_{stat}","f");

   ci = TColor::GetColor("#ff9900");
   entry->SetFillColor(ci);
   entry->SetFillStyle(1001);

   ci = TColor::GetColor("#ff9900");
   entry->SetLineColor(ci);
   entry->SetLineStyle(1);
   entry->SetLineWidth(2);
   entry->SetMarkerColor(1);
   entry->SetMarkerStyle(21);
   entry->SetMarkerSize(1);
   entry=leg->AddEntry("Graph","RESBOS","p");
   entry->SetLineColor(1);
   entry->SetLineStyle(1);
   entry->SetLineWidth(1);

   ci = TColor::GetColor("#990000");
   entry->SetMarkerColor(ci);
   entry->SetMarkerStyle(22);
   entry->SetMarkerSize(3);
   entry=leg->AddEntry("Graph","POWHEG+HERWIG","p");
   entry->SetLineColor(1);
   entry->SetLineStyle(1);
   entry->SetLineWidth(1);

   ci = TColor::GetColor("#0000ff");
   entry->SetMarkerColor(ci);
   entry->SetMarkerStyle(23);
   entry->SetMarkerSize(3);
   entry=leg->AddEntry("Graph"," ","p");
   entry->SetLineColor(1);
   entry->SetLineStyle(1);
   entry->SetLineWidth(1);
   entry->SetMarkerStyle(23);
   entry->SetMarkerSize(2.5);
   leg->Draw();
   
   TPaveText *pt = new TPaveText(0.2,0.8,0.4,0.85,"BRNDC");
   pt->SetBorderSize(0);
   pt->SetFillColor(0);
   pt->SetLineWidth(2);
   pt->SetTextAlign(12);
   pt->SetTextFont(132);
   pt->SetTextSize(0.05);
   TText *text = pt->AddText("LHCb, #sqrt{s} = 7 TeV");
   pt->Draw();
   c50->Modified();
   c50->cd();
   c50->SetSelected(c50);
}
